Name:		serveezopt
Version:	0.0.3
Release:	alt2
License:	GPL
Group:		System/Servers
Summary:	Optional modules based on serveez framework.
URL:		http://www.gnu.org/software/serveez/index.html
Packager:	Stanislav Yadykin <tosick@altlinux.ru>
Requires:	swig
Source0:	http://www.textsure.net/~ela/download/%name-%version.tar.gz
Source1:	q3keyserver.scm
Source2:	q3keyserver.conf
Source3:	q3keyserver.init
Source4:	README.q3keyserver

# Automatically added by buildreq on Thu Dec 11 2008
BuildRequires: gcc-c++ serveez-devel

%description
The serveezopt package contains optional modules based on the GNU
serveez package's core library.  It shows how to extend serveez by
server modules and how to embed the serveez core library in various
ways. This package contains working exsample of quake3arena keyserver.

%prep
%setup

%build
%configure --disable-static

%make

%install
%makeinstall install
%__mkdir_p %buildroot%_datadir/%name
%__install -m644 %SOURCE1 %buildroot%_datadir/%name
%__install -m644 %SOURCE2 %buildroot%_datadir/%name
%__install -m755 %SOURCE3 %buildroot%_datadir/%name
%__install -m644 %SOURCE4 .
%__mv %buildroot%_bindir/serveez.scm %buildroot%_datadir/%name/

%files
%doc AUTHORS COPYING ChangeLog README*
%_bindir/svzcpptest
%_bindir/svzctest
%_bindir/svzguile
%_libdir/lib*so
%_datadir/%name

%changelog
* Thu Dec 11 2008 Stanislav Yadykin <tosick@altlinux.ru> 0.0.3-alt2
- obsolete triggers are removed
- Packager: tag has been added

* Fri Mar 11 2005 Stanislav Yadykin <tosick@altlinux.ru> 0.0.3-alt1.1
- libstdc++3.4

* Wed Jan 12 2005 Stanislav Yadykin <tosick@altlinux.ru> 0.0.3-alt1
- 0.0.3
